%define		php_extension	yp

Name:	 	php-%php_extension
Version:	%php_version
Release:	%php_release
Summary:	YP/NIS functions
Group:		System/Servers
License:	PHP Licence
Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh

Prereq:		php-libs >= %php_version-%php_release

BuildRequires(pre): rpm-build-php

BuildRequires:	php-devel = %php_version-%php_release

%description
NIS (formerly called Yellow Pages) allows network management 
of important administrative files (e.g. the password file). 

%prep
%setup -T -c
%__cp -pr %php_extsrcdir/%php_extension/* .

%build
phpize

BUILD_HAVE=`echo %php_extension | tr '[:lower:]-' '[:upper:]_'`
export LDFLAGS="-lphp-%_php_version" ### Stupid PHP not understand LDLIBS
%add_optflags -fPIC -L%_libdir
%configure --enable-%php_extension
%php_make

%install
%php_make_install
%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%php_extconf/%php_extension
%php_extdir/*
%doc CREDITS

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Sun May 13 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.7-alt1
- rebuild with new php version (4.4.7).

* Tue Apr 10 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.6-alt2
- rebuild due libmm update.

* Fri Mar 09 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.6-alt1
- rebuild with 4.4.6-alt1.

* Sun Mar 04 2007 L.A. Kostis <lakostis@altlinux.ru> 4.4.6-alt0.1
- new version (4.4.6).

* Wed Sep 27 2006 Alexey Gladkov <legion@altlinux.ru> 4.4.4-alt2
- Bugfix rebuild.
- Relax Requires/BuildRequires.

* Wed Aug 23 2006 Alexey Gladkov <legion@altlinux.ru> 4.4.4-alt1
- new version (4.4.4)

* Mon Jun 26 2006 Alexey Gladkov <legion@altlinux.ru> 4.4.3.cvs20060626-alt1
-new version.

* Fri Nov 25 2005 Alexey Gladkov <legion@altlinux.ru> 4.4.2-alt0.cvs20051121.1
- bugfix rebuild.

* Thu Nov 24 2005 Alexey Gladkov <legion@altlinux.ru> 4.4.2-alt0.cvs20051121
- new cvs snapshot.

* Mon Oct 17 2005 Alexey Gladkov <legion@altlinux.ru> 4.4.1-alt0.cvs20051010
- new cvs snapshot.

* Mon Aug 01 2005 Alexey Gladkov <legion@altlinux.ru> 4.4.1-alt0.cvs20050729
- first build for ALT Linux
